 #Makefile for astronomy functions of psLib
#

BUILT_SOURCES = psTime.config 
CLEANFILES = psTime.config

EXTRA_DIST = psTime.xml psTime.config.template 

psTime.config: psTime.config.template
	sed 's|PREFIX|$(prefix)|' $? > $@

$(sysconfdir)/pslib:
	mkdir -p -m 755 $(sysconfdir)/pslib

install-exec-hook: psTime.config $(sysconfdir)/pslib
	if [ `pwd` != $(sysconfdir)/pslib ] ; then  $(INSTALL) $(srcdir)/psTime.xml psTime.config $(sysconfdir)/pslib ; fi

uninstall-local:
	if [ `pwd` != $(sysconfdir) ] ; then  rm -rf $(sysconfdir) ; fi

	